RoutesBooks module

Books routes

URLs the Books module answers, their parameters and the variables each view receives.

View Public site URLs and what their templates receive.

Templates view

GET /books/{unit.book.slug}/{unit.slug}/{slug} showPage

Show a single record

Path parameters unit.book.slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$unit.slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$

The template receives
VariableTypeDescription
$page Page Single Page record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /books/{unit.book.slug}/{unit.slug}/{slug}/{revision.id} showPageRevision

Show a single record

Path parameters unit.book.slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$unit.slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$revision.id matches \d+

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.